> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truestate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Custom Deployment Versions



## OpenAPI

````yaml https://api.truestate.io/openapi.json get /deployments/custom-serving/{deployment_id}/versions/
openapi: 3.1.0
info:
  title: TrueState Backend API
  summary: >-
    TrueState is an AI platform for business users to create high-impact AI
    solutions.
  description: >

    This **[TrueState](https://www.truestate.io/)** backend API allows our
    clients to automate and more powerfully retrieve and modify data from the
    TrueState platform.


    Example use cases include:


    - Accessing embeddings for a dataset.

    - Automating the process of dataset creation and model retraining as your
    data changes.

    - Much more.


    Our backend is built using the [FastAPI](https://fastapi.tiangolo.com/)
    framework in python

    using [Auth0](https://auth0.com/) and [Client API
    Keys](https://www.truestate.io/dawn/docs) for internal an external
    authentication, respectively.

    Our backend is designed to be secure, scalable, easy to use and well
    documented _(each router with its own linked docs page)_.

    Clients can only access data from their own organisation, as setup in Auth0
    our the Client API Keys. See how
    **[here](https://www.truestate.io/dawn/docs)**.


    **PS**: You can view this API documentation in either
    **[Swagger](swagger/docs)** or **[Redoc](redoc/)**, but only the swagger
    lets you test calls.
  contact:
    name: True State Support
    url: https://www.truestate.io/dawn/docs
    email: support@truestate.io
  license:
    name: Private
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 0.13.95
servers: []
security: []
paths:
  /deployments/custom-serving/{deployment_id}/versions/:
    get:
      tags:
        - deployments
      summary: Get Custom Deployment Versions
      operationId: >-
        get_custom_deployment_versions_deployments_custom_serving__deployment_id__versions__get
      parameters:
        - name: deployment_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Deployment Id
        - name: Api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CustomDeploymentVersionRead'
                title: >-
                  Response Get Custom Deployment Versions Deployments Custom
                  Serving  Deployment Id  Versions  Get
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CustomDeploymentVersionRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        model_version_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Model Version Id
        deployment_id:
          type: string
          format: uuid
          title: Deployment Id
        path:
          type: string
          title: Path
        serving_bundle_spec:
          additionalProperties: true
          type: object
          title: Serving Bundle Spec
        model_refs:
          items:
            $ref: '#/components/schemas/CustomDeploymentVersionModelRefRead'
          type: array
          title: Model Refs
        created_at:
          type: string
          format: date-time
          title: Created At
        is_current:
          type: boolean
          title: Is Current
      type: object
      required:
        - id
        - deployment_id
        - path
        - serving_bundle_spec
        - created_at
        - is_current
      title: CustomDeploymentVersionRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CustomDeploymentVersionModelRefRead:
      properties:
        model_id:
          type: string
          format: uuid
          title: Model Id
        alias:
          type: string
          minLength: 1
          pattern: ^[0-9A-Za-z_]+$
          title: Alias
        model_version_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Model Version Id
      type: object
      required:
        - model_id
        - alias
      title: CustomDeploymentVersionModelRefRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````